Page MenuHomePhabricator

rust-status: add function for sequential traversal of the working directory
ClosedPublic

Authored by Alphare on Jan 17 2020, 10:33 AM.

Details

Summary

This change also introduces helper structs to make things clearer.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Jan 17 2020, 10:33 AM
marmoute requested changes to this revision.Feb 5 2020, 5:40 PM
marmoute added a subscriber: marmoute.

There is a lot going on in this changeset. I am counting at least:

  • new BadType/BadMatch structs,
  • StatusResultDirstateStatus change,
  • new StatusOptions struct
  • new traverse_worker function.

Can we get the smaller cleanup as reparated chagneset before hand? It would make the thing clearer in my opinion.

rust/hg-core/src/dirstate/status.rs
64–65

nits: It might be worth adding the same commentan extra comment to the BadType/BadMatch declaration to clarify their intent.

This revision now requires changes to proceed.Feb 5 2020, 5:40 PM
Alphare marked an inline comment as done.Feb 6 2020, 5:07 AM

There is a lot going on in this changeset. I am counting at least:

  • new BadType/BadMatch structs,
  • StatusResultDirstateStatus change,
  • new StatusOptions struct
  • new traverse_worker function.

Can we get the smaller cleanup as reparated chagneset before hand? It would make the thing clearer in my opinion.

I don't think the BadType/BadMatch struct warrant a new changeset. I'll split into 3 then.

Alphare updated this revision to Diff 20047.Feb 10 2020, 11:30 AM
Alphare updated this revision to Diff 20187.Feb 13 2020, 12:37 PM
Alphare updated this revision to Diff 20453.Wed, Mar 4, 10:08 AM
Alphare updated this revision to Diff 20461.Wed, Mar 4, 11:55 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.